Skip to main content
GET
/
webhooks
/
{webhook_id}
Get Webhook
curl --request GET \
  --url https://api.kejue.co/api/v1/webhooks/{webhook_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "delivery_settings": {
    "timeout_ms": 123,
    "max_retries": 123,
    "backoff_ms": 123
  },
  "stats": {
    "total_deliveries": 123,
    "failed_deliveries": 123,
    "success_rate": 123
  },
  "name": "<string>",
  "persona_id": "<string>",
  "last_delivery_at": "<string>",
  "last_error": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

X-API-Key
string
header
required

Workspace API key (e.g. kej_live_...)

Path Parameters

webhook_id
string
required

Response

Successful Response

Webhook subscription response (public-safe).

id
string
required
url
string
required
events
string[]
required
signing_method
enum<string>
required

Webhook signing methods.

Available options:
hmac_sha256,
hmac_sha1,
bearer,
basic_auth,
none
scope_type
enum<string>
required

Webhook scope types.

Available options:
global,
persona
delivery_settings
WebhookDeliverySettings · object
required

Delivery configuration for a webhook subscription.

stats
WebhookStats · object
required

Delivery statistics for a webhook subscription.

name
string | null
persona_id
string | null
last_delivery_at
string | null
last_error
string | null
created_at
string | null
updated_at
string | null